Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader.tcp
Class TcpCacheServer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.cache.loader.tcp.TcpCacheServer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, TcpCacheServerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class TcpCacheServer

extends org.jboss.system.ServiceMBeanSupport
implements TcpCacheServerMBean

TCP-IP based CacheServer, configure TcpDelegatingCacheLoader with host and port of this server

Version:
  $Id: TcpCacheServer.java,v 1.13 2006/03/15 16:02:40 genman Exp $
Author:
  Bela Ban

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`TcpCacheServer()`

Method Summary
`void` | `createService()`
`void` | `destroy()`
`java.lang.String` | `getBindAddress()`
`TreeCacheMBean` | `getCache()`
`java.lang.String` | `getCacheName()`
`java.lang.String` | `getConfig()`
`java.lang.String` | `getConnections()`
`java.lang.String` | `getMBeanServerName()`
`int` | `getPort()`
`static void` | `main(java.lang.String[] args)`
`void` | `setBindAddress(java.lang.String bind_addr)`
`void` | `setCache(TreeCacheMBean cache)`
`void` | `setCacheName(java.lang.String cache_name)`
`void` | `setConfig(java.lang.String config)`
`void` | `setMBeanServerName(java.lang.String name)`
`void` | `setPort(int port)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, start, stop`

Constructor Detail

### TcpCacheServer

    public TcpCacheServer()

Method Detail

### getBindAddress

    public java.lang.String getBindAddress()

  Specified by:
    `getBindAddress` in interface `TcpCacheServerMBean`

### setBindAddress

    public void setBindAddress(java.lang.String bind_addr)
                        throws java.net.UnknownHostException

  Specified by:
    `setBindAddress` in interface `TcpCacheServerMBean`
  Throws:
    `java.net.UnknownHostException`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `TcpCacheServerMBean`

### setPort

    public void setPort(int port)

  Specified by:
    `setPort` in interface `TcpCacheServerMBean`

### getMBeanServerName

    public java.lang.String getMBeanServerName()

  Specified by:
    `getMBeanServerName` in interface `TcpCacheServerMBean`

### setMBeanServerName

    public void setMBeanServerName(java.lang.String name)

  Specified by:
    `setMBeanServerName` in interface `TcpCacheServerMBean`

### getConfig

    public java.lang.String getConfig()

  Specified by:
    `getConfig` in interface `TcpCacheServerMBean`

### setConfig

    public void setConfig(java.lang.String config)

  Specified by:
    `setConfig` in interface `TcpCacheServerMBean`

### getCache

    public TreeCacheMBean getCache()

  Specified by:
    `getCache` in interface `TcpCacheServerMBean`

### setCache

    public void setCache(TreeCacheMBean cache)

  Specified by:
    `setCache` in interface `TcpCacheServerMBean`

### getCacheName

    public java.lang.String getCacheName()

  Specified by:
    `getCacheName` in interface `TcpCacheServerMBean`

### setCacheName

    public void setCacheName(java.lang.String cache_name)
                      throws javax.management.MalformedObjectNameException

  Specified by:
    `setCacheName` in interface `TcpCacheServerMBean`
  Throws:
    `javax.management.MalformedObjectNameException`

### createService

    public void createService()
                       throws java.lang.Exception

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`

### getConnections

    public java.lang.String getConnections()

  Specified by:
    `getConnections` in interface `TcpCacheServerMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`
  Overrides:
    `destroy` in class `org.jboss.system.ServiceMBeanSupport`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.